Subject: [bug#59372] [PATCH] gnu: peek: Add missing input.

From: zimoun <[email-masked]>
Date: Mon, 21 Nov 2022 18:13:26 +0100

Hi,

Thanks for resuming #51202. :-)

On Sat, 19 Nov 2022 at 03:50, Tobias Geerinckx-Rice via Guix-patches via <[email-masked]> wrote:

> As far as I can tell, this change doesn't affect the peek 
> package's output at all.  Am I mistaken?  What should the 
> observable difference be, beyond ‘working’?

Peek needs to be propagated.  An issue is open,

    http://issues.guix.gnu.org/issue/51202
    
IIRC, peek needs to be patched to avoid the propagation and personally,
I am using something along,

    guix shell peek \
            gtk+ gsettings-desktop-schemas ffmpeg \
            -- peek

Cheers,
simon